---
title: load()
slug: Web/API/MediaKeySession/load
tags:
  - API
  - EncryptedMediaExtensions
  - Experimental
  - MediaKeySession
  - Method
  - NeedsExample
  - Reference
  - load
---
<div>{{APIRef("EncryptedMediaExtensions")}}{{SeeCompatTable}}</div>

<p>The <code>MediaKeySession.load()</code> method returns a {{jsxref('Promise')}} that resolves to a boolean value after loading data for a specified session object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>mediaKeySession</var>.load(<var>sessionId</var>).then(function(<var>booleanValue</var>) { ... });</pre>

<h3 id="Parameter">Parameter</h3>

<dl>
 <dt>sessionId</dt>
 <dd>A unique string generated by the content decription module for the current media object and its associated keys or licenses.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{jsxref('Promise')}} that resolves to a boolean indicating whether the load succeeded or failed.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('EME', '#dom-mediakeysession-load', 'load()')}}</td>
   <td>{{Spec2('EME')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.MediaKeySession.load")}}</p>
</div>
